Next: fdim, Previous: expm1, Up: Math

### 1.18 `fabs`, `fabsf`—absolute value (magnitude)

Synopsis

         #include <math.h>
         double fabs(double x);
         float fabsf(float x);

Description
`fabs` and `fabsf` calculate the absolute value (magnitude) of the argument x, by direct manipulation of the bit representation of x.

Returns
The calculated value is returned. No errors are detected.

Portability
`fabs` is ANSI. `fabsf` is an extension.